Name: zebra
Version: 0.93b
Release: alt3

Summary: Zebra Routing Daemon
Summary(ru_RU.KOI8-R):   Zebra
Group: System/Servers
License: GPL
Url: http://www.zebra.org/

Source: %{name}-%{version}.tar.bz2
Source1: %name.init
Source2: ripd.init
Source3: ripngd.init
Source4: ospfd.init
Source5: ospf6d.init
Source6: bgpd.init
Source7: %name-html-0.85.tar.bz2
Source14: %name.logrotate
Patch0: zebra-0.93b-alt-confpath_fix.patch

# Automatically added by buildreq on Thu Oct 17 2002
BuildRequires: libpam-devel libreadline-devel libtinfo-devel

%description
GNU Zebra is a free software that manages TCP/IP based routing
protocol.  It takes multi-server and multi-thread approach to resolve
the current complexity of the Internet.

GNU Zebra supports BGP4, BGP4+, OSPFv2, OSPFv3, RIPv1, RIPv2, and RIPng.

GNU Zebra is intended to be used as a Route Server and a Route Reflector.
It is not a toolkit, it provides full routing power under a new
architecture. GNU Zebra is unique in design in that it has a process
for each protocol.

See the file INSTALL for building and installation instructions.

Please send all bug reports by electronic mail to: bug-zebra@gnu.org

%prep
%setup -q
%patch0 -p1

%build
%configure --sysconfdir=%_sysconfdir/%name \
	    --disable-snmp \
	    --enable-vtysh \
	    --with-libpam \
	    --enable-nssa \
	    --enable-opaque-lsa \
	    --enable-ospf-te \
	    --disable-dependency-tracking \
	    --enable-one-vty \
	    --enable-ipv6 \
	    --enable-netlink


%make_build

%install
%makeinstall sysconfdir=%buildroot/%_sysconfdir/%name

install -d %buildroot/%_sysconfdir/rc.d/init.d
install -d %buildroot/%_sysconfdir/logrotate.d
install -d %buildroot/var/log/%name

rm -f doc/%name.info*

chmod -x tools/zc.pl

install -m 755 %SOURCE1 %buildroot/%_initdir/%name
install -m 755 %SOURCE2 %buildroot/%_initdir/ripd
install -m 755 %SOURCE4 %buildroot/%_initdir/ospfd
install -m 755 %SOURCE6 %buildroot/%_initdir/bgpd
install -m 644 %SOURCE14 %buildroot/%_sysconfdir/logrotate.d/%name

bzcat %SOURCE7 | tar xvf -
mv %name-html-0.85 html

%post
%post_service %name
%post_service ripd
%post_service ospfd
%post_service bgpd

%preun
%preun_service %name
%preun_service ripd
%preun_service ospfd
%preun_service bgpd

%files
%doc tools AUTHORS COPYING ChangeLog INSTALL NEWS README SERVICES TODO html
%doc bgpd/BGP4-MIB.txt ospfd/OSPF-MIB.txt ospfd/OSPF-TRAP-MIB.txt
%doc ripd/RIPv2-MIB.txt zebra/GNOME-PRODUCT-ZEBRA-MIB zebra/GNOME-SMI
%doc doc/appendix.texi doc/basic.texi doc/bgpd.texi doc/draft-zebra-00.ms
%doc doc/*.texi doc/draft-zebra-00.*

%dir %_sysconfdir/%name
%config(noreplace) %_sysconfdir/%name/bgpd.conf.sample
%config(noreplace) %_sysconfdir/%name/bgpd.conf.sample2
%config(noreplace) %_sysconfdir/%name/ospfd.conf.sample
%config(noreplace) %_sysconfdir/%name/ripd.conf.sample
%config(noreplace) %_sysconfdir/%name/vtysh.conf.sample
%config(noreplace) %_sysconfdir/%name/zebra.conf.sample
%config(noreplace) %_initdir/%name
%config(noreplace) %_initdir/ripd
%config(noreplace) %_initdir/ospfd
%config(noreplace) %_initdir/bgpd

%_sysconfdir/logrotate.d/%name

%_infodir/zebra.*
%_mandir/man1/vtysh.*
%_mandir/man8/bgpd.*
%_mandir/man8/ospfd.*
%_mandir/man8/ripd.*
%_mandir/man8/zebra.*

%_sbindir/bgpd
%_sbindir/ospfd
%_sbindir/ripd
%_sbindir/%name
%_bindir/vtysh

%dir %_logdir/%name

%changelog
* Tue Feb 11 2003 Denis Ovsienko <pilot@altlinux.ru> 0.93b-alt3
- fixed bug/security leak with reading conf files from current dir ([zebra 15878])
- removed possible alteration of /etc/services from spec file

* Mon Dec 23 2002 Rider <rider@altlinux.ru> 0.93b-alt2
- fixed bug #0001741

* Thu Oct 31 2002 Rider <rider@altlinux.ru> 0.93b-alt1
- 0.93b

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 0.93a-alt1
- 0.93a
- Russian Summary

* Tue Feb 12 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt4
- rebuid for new libucd-snmp

* Thu Feb 07 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt3
- fixed init scripts

* Mon Jan 14 2002 Konstantin Timoshenko <kt@altlinux.ru> 0.92a-alt2
- fixed init scripts

* Fri Oct  5 2001 Kostya Timoshenko <kt@altlinux.ru> 0.92a-alt1
- Build for AltLinux

* Thu Aug 23 2001 Etienne Faure <etienne@mandrakesoft.com> 0.92a-1mdk
- 0.92a

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.90-1mdk
- updated to 0.90

* Sat Jan 06 2001 David BAUDENS <baudens@mandrakesoft.com> 0.87-5mdk
- Fix build
- %%setup -q
- Spec clean up

* Mon Jul 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.87-4mdk
- fix install section

* Fri Jul 14 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.87-3mdk
- changed permission
- added /etc/services entries
- fixed macros

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.86-2mdk
- removed %group
- removed _sysconfdir

* Tue Jul 11 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 0.86-1mdk
- macroszifications
- Mandrakized version
